coap_debug.h File Reference
`#include "pdu.h"`
Include dependency graph for coap_debug.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | COAP_DEBUG_FD stdout
| Used for output for `LOG_DEBUG` to `LOG_ERR`. More...
#define | COAP_ERR_FD stderr
| Used for output for `LOG_CRIT` to `LOG_EMERG`. More...
#define | coap_log(level, ...)
| Logging function. More...

## Typedefs

typedef void(* | coap_log_handler_t) (coap_log_t level, const char *message)
| Logging callback handler definition. More...

## Enumerations

enum | coap_log_t { LOG_EMERG =0 , LOG_ALERT , LOG_CRIT , LOG_ERR , LOG_WARNING , LOG_NOTICE , LOG_INFO , LOG_DEBUG , COAP_LOG_CIPHERS =LOG_DEBUG+2 }
| Pre-defined log levels akin to what is used in syslog with LOG_CIPHERS added. More...

## Functions

coap_log_t | coap_get_log_level (void)
| Get the current logging level. More...
void | coap_set_log_level (coap_log_t level)
| Sets the log level to the specified value. More...
void | coap_set_log_handler (coap_log_handler_t handler)
| Add a custom log callback handler. More...
const char * | coap_package_name (void)
| Get the library package name. More...
const char * | coap_package_version (void)
| Get the library package version. More...
void | coap_log_impl (coap_log_t level, const char *format,...)
| Writes the given text to `COAP_ERR_FD` (for `level` <= `LOG_CRIT`) or `COAP_DEBUG_FD` (for `level` >= `LOG_ERR`). More...
void | coap_set_show_pdu_output (int use_fprintf)
| Defines the output mode for the coap_show_pdu() function. More...
void | coap_show_pdu (coap_log_t level, const coap_pdu_t *pdu)
| Display the contents of the specified `pdu`. More...
void | coap_show_tls_version (coap_log_t level)
| Display the current (D)TLS library linked with and built for version. More...
char * | coap_string_tls_version (char *buffer, size_t bufsize)
| Build a string containing the current (D)TLS library linked with and built for version. More...
char * | coap_string_tls_support (char *buffer, size_t bufsize)
| Build a string containing the current (D)TLS library support. More...
size_t | coap_print_addr (const coap_address_t *address, unsigned char *buffer, size_t size)
| Print the address into the defined buffer. More...
int | coap_debug_set_packet_loss (const char *loss_level)
| Set the packet loss level for testing. More...
int | coap_debug_send_packet (void)
| Check to see whether a packet should be sent or not. More...

## Function Documentation

## coap_debug_send_packet()

int coap_debug_send_packet | ( | void |  | ) |

Check to see whether a packet should be sent or not.

Internal function

Returns
  `1` if packet is to be sent, `0` if packet is to be dropped.

Definition at line 983 of file coap_debug.c.

Here is the call graph for this function:
Here is the caller graph for this function:

## coap_debug_set_packet_loss()

int coap_debug_set_packet_loss | ( | const char * | loss_level | ) |

Set the packet loss level for testing.

This can be in one of two forms.

Percentage : 0% to 100%. Use the specified probability. 0% is send all packets, 100% is drop all packets.

List: A comma separated list of numbers or number ranges that are the packets to drop.

Parameters

  loss_level | The defined loss level (percentage or list).

Returns
  `1` If loss level set, `0` if there is an error.

Definition at line 943 of file coap_debug.c.